<!DOCTYPE html>
<html>

  <head>

  	<!-- <img src="pageGraphics/top-border.png"> -->
	
		<title>Tom's Internet Controlled Christmas Lights!</title>

		<link rel="shortcut icon" type="image/png" href="pageGraphics/favicon.ico"/>
		
		<link href="https://fonts.googleapis.com/css?family=Josefin+Sans&display=swap" rel="stylesheet">
    <style>
      body {
        font-family: 'Josefin Sans', sans-serif;
				text-shadow: 2px 2px 2px #000;
      }
    </style>
	
		<font color="white">
    
		<link href="https://fonts.googleapis.com/css?family=Mystery+Quest&display=swap" rel="stylesheet">
		
  </head>

<body background="pageGraphics/pagebackground.jpg">
	 
	<div style="font-family: 'Mystery Quest', cursive;font-size:48px">Tom's Internet Controlled Christmas Lights<a href="resetVoting.php" target=”_blank”><img src="pageGraphics/color-effects.png"></a></div>

	<p style="font-size:18px">	 
	
	<font color="yellow">
	NOTICE
	<BR>
	The lights are "off" for the rest of the season.  Thanks for watching!
	<br>
	<br>
	
	<font color="pink">
	This page allows you to choose animations that display "live" on my house.  The master computer is a Raspberry Pi running <a href="http://falconchristmas.com/forum/index.php?board=8.0" style="color: pink" target="_blank">Falcon Player</a> and the lights are connected to Beagle Bone, Falcon, and Arduino controllers.  <a href="http://xlights.org/"  style="color: pink" target="_blank">xLights </a>is used to create the animations.  The house outline lights use <a href="http://www.geholidaylighting.com/color-effects/us/" style="color: pink" target="_blank">GE Color Effects</a> and everything else uses <a href="http://www.espruino.com/WS2811" style="color: pink" target="_blank">WS2811</a> and RGB lights.  Want to learn more?  Please visit <a href="http://www.itwinkle.org" style="color: pink" target="_blank">www.itwinkle.org</a>. You can also watch this <a href="https://www.youtube.com/watch?v=GtR5qF0zbX0" style="color: pink" target="_blank">recorded video</a>.
	<br>
	<br>
	 	 
	<?php
		$sequenceCount=0;
		$vcSequenceCount=0;
			
		// Create empty coolDown.txt if it doesn't exist
		if (!file_exists('coolDown.txt'))
			{
			$myFile = fopen('coolDown.txt', 'w') or die("Unable to write coolDown.txt file!");
			}
			
		// If voteCount.txt is missing or corrupt, rebuild it
			
		// Read sequences.txt and create temporary voteCount.tmp file
		$myFileTmp=fopen("voteCount.tmp","w") or die("Unable to write voteCount.tmp file!");
		$seqFile = fopen("sequences.txt", "r") or die("Unable to open sequences.txt file!");

		while(! feof($seqFile))
			{
			$title="";
			$pic="";
			$sequence="";
			$media="";
			$length=0;

			list($title,$pic,$sequence,$media,$length) = explode(',', fgets($seqFile));
	
			if (strlen($title)>0) 
				{ 
				++$sequenceCount;
				fputs($myFileTmp,$sequence.",0\n");
				}
			}

		fclose($myFileTmp);
		fclose($seqFile);

		// If voteCount.txt does not exist, build it
		if (!file_exists('voteCount.txt'))
		  {
			rename('voteCount.tmp', 'voteCount.txt');	
			}
		  
		else 
			{
			// Count number of sequences in voteCount.txt.  If it does not match sequences.txt, rebuild voteCount.txt
			$myFile=fopen("voteCount.txt","r") or die("Unable to read voteCount.txt file!");

			while(! feof($myFile))
				{
				$sequence="";
				$votes=0;

				list($sequence,$votes) = explode(',', fgets($myFile));
	
				if (strlen($sequence)>0) 
					{ 
					++$vcSequenceCount;
					}
				}
				
			fclose($myFile);
				
			if ($sequenceCount>$vcSequenceCount)
				{
				rename('voteCount.tmp', 'voteCount.txt');	
				}

			else
				{
				// voteSequence.txt is in good shape, so delete temporary file
				unlink('voteCount.tmp') or die("Couldn't delete file");
				}
			}
	?>

	<table border="1" width="100%" background="pageGraphics/pagebackground-dark.jpg">
		<tr>
			<td width="25%" valign="center">
				<p style="font-size:17px">
				<font color="pink">
				Please click "Vote" for the animation that you wish to see.  Scroll down the list to see more!
				<br>
				<br>
				Your choice will appear in the live video below, after the current animation finishes.
				<br>
				<br>
				If multiple people are voting, the animation with the highest votes plays next.  
				<br>
				<br>
				You can vote once per animation.
			</td>

			<td width="47%" valign="top">
				<iframe src = "vote.php" name="voteframe" width="100%" height = "284" frameborder="0">
				</iframe>
			</td>

			<td width="28%" valign="top">
				<p style="font-size:17px">
				Status:
				<iframe src = "status.php" name="statusframe" width="100%" height = "150" frameborder="0">
				</iframe>
				Countdown to next animation:			
				<iframe src = "hidden.php" name="hiddenframe" width = "100%" height = "55" frameborder="0" align="center">
				</iframe>
			</td>
		</tr>
	</table>

	<br>

  <iframe 
    src="https://player.twitch.tv/?channel=tominohio&parent=itwinkle.org" 
    frameborder="0" 
    allowfullscreen="true" 
    scrolling="no" 
    height="537"
    width="955">
  </iframe>
	
	<font color="yellow">
	<br>
	NOTICE: If you do not hear music in the above video, click the speaker icon in its lower-left corner to unmute the music.
	
	<font color="white">
	<br>
	<br>

	<table width="100%">
		<tr>
			<td>
			<iframe src = "logrecent.php" name="logrecentframe" width = "100%" height = "75" frameborder="0">
      </iframe>
			</td>
		</tr>
		<tr>
			<td>
				Past votes:
				<iframe src = "log.php" name="logframe" width = "100%" height = "100" frameborder="0">
				</iframe>
			</td>
		</tr>
	</table>			
			
	<br>
	<font color="black">
	<p style="font-size:18px"></p>
	<hr>
	<p style="font-size:18px">
		<strong><font color="yellow">Many thanks to <a href="https://www.facebook.com/DoylestownTelephoneCompany/"  style="color: rgb(255,255,0)" target="_blank">Doylestown Communications</a> for providing extra bandwidth and <a href="https://www.twitch.tv/"  style="color: rgb(255,255,0)" target="_blank">Twitch</a> for providing the live video stream!</strong>
	</p>

	Music credits:
	<br>
	<br>
	"Born Is The King - It's Christmas" by Phillips, Craig and Dean from the album "Hope For All The World" ©2013 (used with permission)
	<br>
	"Night Of Hope" by Phillips, Craig and Dean from the album "Hope For All The World" ©2013 (used with permission)
	<br>
	"Rockin Around The Christmas Tree" by NewSong from the album "The Christmas Shoes" ©2001 (used with permission)
	<br>
	"This Baby" by Steven Curtis Chapman from the album "The Music of Christmas" ©1995 (used with permission)
	<br>
	"When Love Was Born" by Mark Schultz ©2009 (used with permission)
	<hr>
	
<!--	<hr>
	<p style="font-size:18px">
		<font color="white">Like what you see?  Please donate to encourage future Christmas Lights improvements!</font></p>
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
			<input type="hidden" name="cmd" value="_s-xclick">
			<input type="hidden" name="hosted_button_id" value="SW75J88676LAQ">
			<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
			<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
		</form>
	</p>
-->

	<br>
	<p style="font-size:18px"><font color="pink">
	My lights made the news!  Check-out the following newspaper articles, radio spots, and TV stations.
	<br>
	<br>
	<iframe src = "news.html" name="newsframe" width = "975" height = "225">
  </iframe>

	<br>
	<p style="font-size:16px"><font color="pink">
	Questions or comments?  Please send a message to: tominohio @ gmail . com or give me a call at 330-658-3872.  Please note that I am NOT affiliated with G.E. Technical Support nor warranty returns.
	<br>
	<br>
	See the lights in-person!  My address is 15439 Valley View Road, Doylestown OH 44230.  
	<br>
	<br>
	Follow me on Facebook!  Visit <a href="http://www.facebook.com/tominohio1"  style="color: pink" target="_blank">www.facebook.com/tominohio1</a>
	<br>
	<br>

	<a href="" onclick="doSomething();"><img src="pageGraphics/santa-bottom.png"></a>
	
	<script type="text/javascript">
		function doSomething() 
			{
			var d = new Date(); 
			d.setTime(d.getTime() + (1*24*60*60*1000)); 
			var expires = 'expires=' + d.toGMTString(); 
			document.cookie = 'powerVote=true' + ';' + expires + ';path=/';

			window.alert("Power voting enabled!  Now vote for the animation that will play next.");
			return false;
			}
	</script>
</body>
</html>