<!DOCTYPE html>
<html>
	<head>
		<link href="https://fonts.googleapis.com/css?family=Original+Surfer&display=swap" rel="stylesheet">

    <style>
      body {
        font-family: 'Original Surfer', cursive;
				text-shadow: 2px 2px 2px #000;
				font-size: 22px;
				color: white;
				text-align:center;
				
      }
    </style>
	</head>

  <body>

	<?php
		$vcSequence="";
		$vcVotes=0;
		$totalVotes=0;
		$sequenceCount=0;
		$arrayIndex=0;
		$coolDownSequences=array("","","");
		$seqVotes=0;
		$mostVotes=0;
		$mostVotesSequence="";
		$updateTopVote="";
		$expireTime=0;
		$title="";
		$pic="";
		$seq="";
		$length="";
		
		//Get chosen sequence from URL argument
		$sequence=htmlspecialchars($_GET["seq"]);
		
		/* If challenge question was not answered successfully in previous script, report error then go to vote page */
		if ($_COOKIE["unlockedStatus"]!=="true")
		  {
		  echo "<script type='text/javascript'>
				alert('Sorry, invalid response.  Please try voting again.');
				self.location = 'vote.php';
				</script>";
		  }
			
		/* If challenge question was answered successfully continue with script */
		if ($_COOKIE["unlockedStatus"]=="true")
		  {
			//echo "<br><br><br><br>Thanks for your vote!<br><br>";
			//sleep(2);
				
		  /* Get total number of votes */
		  $myfile = fopen("voteCount.txt", "r") or die("Unable to read voteCount.txt file!");

      while(! feof($myfile))
	      {
	      list($vcSequence,$vcVotes) = explode(',', fgets($myfile));

				if (strlen($vcSequence)>0)
					{
					$totalVotes=$totalVotes+$vcVotes;
					}	
	      }
	
	    fclose($myfile);
		  
			// Add to voteCount.txt
		  $reading = fopen('voteCount.txt', 'r') or die("Unable to read voteCount.txt file!");
		  $writing = fopen('voteCount.tmp', 'w') or die("Unable to write voteCount.tmp file!");

		  $replaced = false;
					
		  while (!feof($reading)) 
			  {
			  $line = fgets($reading);
	
			  if (stristr($line,$sequence)) 
				  {
					// There were existing votes, so add to the voteCount
					// save existing vote to variable
					$seqVotes = intVal(substr($line, strpos($line, ",") + 1));

					if ($_COOKIE["powerVote"]=="true")
						{
						$seqVotes += 99;
						$totalVotes += 99;
						}
					else	
						{
						++$seqVotes;
						++$totalVotes;
						}
						
					$line = $sequence.",".strVal($seqVotes)."\n";
					$replaced = true;
					}

					fputs($writing, $line);
				}
				
			fclose($reading); 
			fclose($writing);
				
			// might as well not overwrite the file if we didn't replace anything 
			if ($replaced) 
				{
				rename('voteCount.tmp', 'voteCount.txt');
				} 
			else 
				{
				unlink('voteCount.tmp');
				}
				
			// Determine highest number of votes for any sequence and determine which sequence has most votes
			if (round($totalVotes,1)>0)
				{
				$myfile = fopen('voteCount.txt', 'r') or die("Unable to read voteCount.txt file!");
					
				while (!feof($myfile)) 
					{
					$line = fgets($myfile);
  				$lineLen=strlen(trim($line));
	
					if ($lineLen>0)
						{
						$seqVotes = intVal(substr($line, strpos($line, ",") + 1));
								
						if ($seqVotes > $mostVotes)
							{
							$mostVotes=$seqVotes;
							$mostVotesSequence=strtok($line, ',');
							$updateTopVote="true";
							}
									
						else if ($seqVotes==$mostVotes)
							{
							// more than one sequence has top vote, so do not update next vote sequence (the older sequence in a tie will be the next sequence)
							$updateTopVote="false";
							}
						}
					}

				fclose($myfile); 

				// If only one sequence with top vote (no tie), set top playlist to chosen sequence
				if ($updateTopVote=="true")
					{
					//Save top sequence name to file
					$myfile = fopen("topsequence.txt", "w") or die("Unable to write topsequence.txt file!");
					fwrite($myfile, $sequence);
					fclose($myfile);
					}
				}
				
			//Save visitor location to file 
			$myfile = fopen("location.txt", "w") or die("Unable to write location.txt file!");
			//'long' is for website, 'short' is for tune-to sign
			$loc = ip_info("Visitor", "short");
				
			fwrite($myfile, $loc);
			fclose($myfile);
				
			//Save sequence name to file
			$myfile = fopen("sequence.txt", "w") or die("Unable to write sequence.txt file!");
			fwrite($myfile, substr($sequence,0,-5));
			fclose($myfile);
				
			//Save time voted to file
			$myfile = fopen("time.txt", "w") or die("Unable to write time.txt file!");
			date_default_timezone_set("America/New_York");
			$time = ltrim(date("n/j/Y",time())) . " at " . ltrim(date("g:ia",time())) . " EDT";
			fwrite($myfile, $time);
			fclose($myfile);
				
			//Append information to log file
			//'long' is for website, 'short' is for tune-to sign
			$loc = ip_info("Visitor", "long");
			
			if ($_COOKIE["powerVote"]=="true")
				{
				$log = "\"" . $loc . "\", \"voted sequence: " . substr($sequence,0,-5) . " (P)\", \"" . $time . "\"";
				}
			else
			  {
				$log = "\"" . $loc . "\", \"voted sequence: " . substr($sequence,0,-5) . "\", \"" . $time . "\"";
				}
			
			$myfile = fopen("log.txt", "a") or die("Unable to append log.txt file!");
			fwrite($myfile, "\n" . $log);
			fclose($myfile);

			// Update status
			if ($updateTopVote=="true")
				{
				// Only show top voted sequence if there isn't a tie for top vote.
			  $myfile = fopen("status.txt", "w") or die("Unable to write status.txt file!");
				fwrite($myfile, 'Voted to play next: '.substr($mostVotesSequence,0,-5));
			  fclose($myfile);
				}

  		// Disable voting, set votedSequence cookie, and refresh frames
			$myFile = fopen('refreshLog.txt', 'w') or die("Unable to write refreshLog.txt file!");	
			$expireTime=time()+6;
			fwrite($myFile,$expireTime);
			fclose($myFile);

			$myFile = fopen('refreshLogRecent.txt', 'w') or die("Unable to write refreshLogRecent.txt file!");	
			$expireTime=time()+6;
			fwrite($myFile,$expireTime);
			fclose($myFile);

			$myFile = fopen('refreshStatus.txt', 'w') or die("Unable to write refreshStatus.txt file!");	
			$expireTime=time()+6;
			fwrite($myFile,$expireTime);
			fclose($myFile);

			//self.location vote.php below shows the votes again for the voter, but the vote frame needs refreshed for all viewers to see, too.
			$myFile = fopen('refreshVote.txt', 'w') or die("Unable to write refreshStatus.txt file!");	
			$expireTime=time()+6;
			fwrite($myFile,$expireTime);
			fclose($myFile);
			
			echo "<script type='text/javascript'>
						var d = new Date(); 
						d.setTime(d.getTime() + (1*24*60*60*1000)); 
						var expires = 'expires=' + d.toGMTString(); 
						document.cookie = 'votedStatus=true' + ';' + expires + ';path=/';
						document.cookie = 'votedSequence=".$sequence."' + ';' + expires + ';path=/';
						self.location = 'vote.php';
						</script>";
		  }

		function ip_info($ip = NULL, $purpose = "location", $deep_detect = TRUE) 
			{
			$output = NULL;

			if (filter_var($ip, FILTER_VALIDATE_IP) === FALSE) 
				{
        $ip = $_SERVER["REMOTE_ADDR"];

        if ($deep_detect) 
					{
          
					if (filter_var(@$_SERVER['HTTP_X_FORWARDED_FOR'], FILTER_VALIDATE_IP))
                $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
          if (filter_var(@$_SERVER['HTTP_CLIENT_IP'], FILTER_VALIDATE_IP))
                $ip = $_SERVER['HTTP_CLIENT_IP'];
					}
				}

			$purpose    = str_replace(array("name", "\n", "\t", " ", "-", "_"), NULL, strtolower(trim($purpose)));
			//$support    = array("country", "countrycode", "state", "region", "city", "location", "address");
			$support    = array("long", "short");
			$continents = array(
        "AF" => "Africa",
        "AN" => "Antarctica",
        "AS" => "Asia",
        "EU" => "Europe",
        "OC" => "Australia (Oceania)",
        "NA" => "North America",
        "SA" => "South America"
				);

			if (filter_var($ip, FILTER_VALIDATE_IP) && in_array($purpose, $support)) 
				{
        $ipdat = @json_decode(file_get_contents("http://www.geoplugin.net/json.gp?ip=" . $ip));

        if (@strlen(trim($ipdat->geoplugin_countryCode)) == 2) 
					{
					$myCity=@$ipdat->geoplugin_city;
					$myRegion=@$ipdat->geoplugin_regionName;
					$myCountryName=@$ipdat->geoplugin_regionName;
					$myCountryCode=@$ipdat->geoplugin_countryCode;

					if ($purpose == "long")
						{

						//if city is not found, only list country and country code
						if(@strlen(trim($myCity)) == 0)
							{
							$output .= @$ipdat->geoplugin_countryName;
							$output .= ", ";
							$output .= @$ipdat->geoplugin_countryCode;				
							}

						else
							{
							$output .= @$ipdat->geoplugin_city;
							$output .= ", ";
							$output .= @$ipdat->geoplugin_regionName;
							$output .= ", ";
							$output .= @$ipdat->geoplugin_countryName;
							$output .= ", ";
							$output .= @$ipdat->geoplugin_countryCode;
							}
						}
		
					if ($purpose == "short")
						{
						//generate file header
						$output .= "<location>\n";
				
						//add random number_format
						$myRand= '';
						$a = mt_rand(1,32767);
						$output .= $a;
						$output .= "\n";
				
						//if city is not found, only list country
						if(@strlen(trim($myCity)) == 0)
							{
							$output .= @$ipdat->geoplugin_countryName;
							}

					else
						{
							
						//if United States, list city and state
						if ($myCountryCode=="US")
							{
							$output .= @$ipdat->geoplugin_city;
							$output .= ", ";
							$output .= @$ipdat->geoplugin_regionName;
							}
							
						//if outside US, list region and country
						else
							{
							$output .= @$ipdat->geoplugin_regionName;
							$output .= ", ";
							$output .= @$ipdat->geoplugin_countryName;
							}
						}
				
						//generate file footer
						$output .= "\n";
						$output .= "</location>";
						}
					}	
				}	
			
			return $output;
		}

	?>
  </body>
</html>